scala.tools.nsc

# ScriptRunner

#### object ScriptRunner extends ScriptRunner

Source
  ScriptRunner.scala

Linear Supertypes
ScriptRunner, HasCompileSocket, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScriptRunner
2. ScriptRunner
3. HasCompileSocket
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def compileOnServer(sock: Socket, args: Seq[String]): Boolean

   Definition Classes
     HasCompileSocket

7. #### lazy val compileSocket: CompileSocket.type

   Definition Classes
     ScriptRunner → HasCompileSocket

8. #### val defaultScriptMain: String

   Default name to use for the wrapped script

   Default name to use for the wrapped script

   Definition Classes
     ScriptRunner

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### val errorMarkers: Set[String]

    Definition Classes
      HasCompileSocket

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def isErrorMessage(msg: String): Boolean

    Definition Classes
      HasCompileSocket

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def newGlobal(settings: Settings, reporter: Reporter): Global

    Attributes
      protected
    Definition Classes
      ScriptRunner

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def runCommand(settings: GenericRunnerSettings, command: String, scriptArgs: List[String]): Boolean

    Run a command

    Run a command

    returns

      true if compilation and execution succeeded, false otherwise.

    Definition Classes
      ScriptRunner

22. #### def runScript(settings: GenericRunnerSettings, scriptFile: String, scriptArgs: List[String]): Boolean

    Run a script file with the specified arguments and compilation settings.

    Run a script file with the specified arguments and compilation settings.

    returns

      true if compilation and execution succeeded, false otherwise.

    Definition Classes
      ScriptRunner

23. #### def runScriptAndCatch(settings: GenericRunnerSettings, scriptFile: String, scriptArgs: List[String]): Either[Throwable, Boolean]

    Calls runScript and catches the enumerated exceptions, routing them to Left(ex) if thrown.

    Calls runScript and catches the enumerated exceptions, routing them to Left(ex) if thrown.

    Definition Classes
      ScriptRunner

24. #### def scriptMain(settings: Settings): String

    Pick a main object name from the specified settings

    Pick a main object name from the specified settings

    Definition Classes
      ScriptRunner

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ScriptRunner

### Inherited from HasCompileSocket

### Inherited from AnyRef

### Inherited from Any

### Ungrouped